'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = cleanupInputFields;
function cleanupInputFields(args, fragments) {
  var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

  var cleanedUpFragments = fragments;

  var dataArg = args.find(function (arg) {
    return arg.name === 'data';
  });

  function fieldCleanUp(field) {
    var hasFieldArg = dataArg && dataArg.type.inputFields.some(function (e) {
      return e.name === field;
    });

    if (!hasFieldArg && typeof options[field] !== 'undefined') {
      options[field] = undefined;
      cleanedUpFragments = cleanedUpFragments.replace(new RegExp(',?[s|\n]*' + field), '');

      console.warn('This API Version does not support the ' + field + ' argument.');
    }
  }

  ['tolerateMinification', 'useProfilingData', 'useAppClassification', 'inputSymbolTable'].forEach(fieldCleanUp);

  return [options, cleanedUpFragments];
}